| Leonetienne/Hazelnupp Simple, easy to use, command line parameter interface

Public Member Functions | List of all members
Hazelnp::HazelnuppInvalidKeyException Class Reference

Gets thrown when an non-existent key gets dereferenced. More...

`#include <HazelnuppException.h>`

Inheritance diagram for Hazelnp::HazelnuppInvalidKeyException:
[legend]
Collaboration diagram for Hazelnp::HazelnuppInvalidKeyException:
[legend]

## Public Member Functions
| HazelnuppInvalidKeyException ()
| HazelnuppInvalidKeyException (const std::string &msg)
Public Member Functions inherited from Hazelnp::HazelnuppException
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Additional Inherited Members
Protected Attributes inherited from Hazelnp::HazelnuppException
std::string | message

## Detailed Description

Gets thrown when an non-existent key gets dereferenced.

Definition at line 29 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## ◆ HazelnuppInvalidKeyException() [1/2]

Hazelnp::HazelnuppInvalidKeyException::HazelnuppInvalidKeyException | ( |  | ) |
| inline

Definition at line 32 of file HazelnuppException.h.

32 : HazelnuppException() {};

## ◆ HazelnuppInvalidKeyException() [2/2]

Hazelnp::HazelnuppInvalidKeyException::HazelnuppInvalidKeyException | ( | const std::string & | msg | ) |
| inline

Definition at line 33 of file HazelnuppException.h.

33 : HazelnuppException(msg) {};

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

Hazelnp::HazelnuppException::HazelnuppException
HazelnuppException()
Definition: HazelnuppException.h:14